hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

HaskellWorks.Data.Product

# Documentation

data a :*: b infixr 9 #

Constructors

(:*:) a b infixr 9 |

#### Instances

Instances details

(Show a, Show b) => Show (a :*: b) # |
Instance details Defined in HaskellWorks.Data.Product Methods showsPrec :: Int -> (a :*: b) -> ShowS # show :: (a :*: b) -> String # showList :: [a :*: b] -> ShowS #
(Eq a, Eq b) => Eq (a :*: b) # |
Instance details Defined in HaskellWorks.Data.Product Methods (==) :: (a :*: b) -> (a :*: b) -> Bool # (/=) :: (a :*: b) -> (a :*: b) -> Bool #
(FromForeignRegion a, FromForeignRegion b) => FromForeignRegion (a :*: b) # |
Instance details Defined in HaskellWorks.Data.FromForeignRegion Methods fromForeignRegion :: ForeignRegion -> a :*: b #